id: sendgrid-api-key

info:
  name: Sendgrid API Key
  author: 302Found
  severity: high

file:
  - extensions:
      - all

    extractors:
      - type: regex
        regex:
          - "SG\\.[a-zA-Z0-9]{22}\\.[a-zA-Z0-9]{43}"